@import "../../mixins.scss";

.list-component-wrapper {
  --row-bg: #ccc;
  --row-color: var(--base-black);

  display: flex;
  flex-direction: column;
  border-bottom: 1px solid var(--row-bg);

  .list-header {
    background: white;
    font-size: var(--font-m);
    font-weight: 500;
    display: flex;
    border-top: 1px solid var(--row-bg);
    border-bottom: 1px solid var(--row-bg);
    color: #777;
    padding-right: 5px;
    .cell {
      font-weight: bold;
    }
    .cursor-pointer {
      cursor: pointer;
    }
  }
  .row-panel {
    display: flex;
    flex-grow: 1;
    background: white;
    &.even {
      background-color: #d9d9d919;
    }
  }
  .cell {
    flex-grow: 1;
    flex-basis: calc(100% / 2);
    padding: 8px;
    font-size: var(--font-m);
    font-weight: 450;
    align-self: center;
  }
  .width-10 {
    max-width: 10%;
  }
  .width-15 {
    max-width: 15%;
  }
  .width-20 {
    max-width: 20%;
  }
  .width-25 {
    max-width: 25%;
  }
  .width-30 {
    max-width: 30%;
  }

  .list-loader {
    width: 100%;
    color: gray;
    height: 100px;
    display: flex;
    font-weight: 550;
    align-items: center;
    justify-content: center;
    font-size: var(--font-l);
  }
}
